backVid
=======

A jQuery plugin to allow a YouTube video to be used as a background for your website. 

backVid uses the YouTube IFrame API which does not require any Flash objects to be present on your website. Currently, backVid assumes that as video through the YouTube iFrame API does not play automatically on mobile, it is replaced with either a fixed colour or image of your choosing.

**Installation**
--
```
npm install rsbackvid
```

**Usage**
--

After including jQuery and the backVid plugin, instantiate backVid like so:

```javascript
$(function(){
	$('body').backVid({
		videoId: "9d8wWcJLnFI"
    });
});
```
You can specify the mobile background with the following options:

```javascript
$(function(){
	$('body').backVid({
        videoId: "9d8wWcJLnFI",
        mobileBackgrounType: 'image',
        backgroundValue: 'http://www.rstandley.co.uk/laboratory/url_shortner/UxWBHq'
    });
});
```

**Usage**
--
Tested on IE8+, Firefox 3.6+, Chrome 15+, Opera 12.5+, Safari 4+

**Options**
--
<table>
  <tbody>
    <tr>
    	<th>option</th>
	  	<th>description</th>
	  	<th>default</th>
      	<th>type</th>
    </tr>
    <tr>
     	<td>videoId</td>
	   	<td>An id from YouTube</td>
	   	<td>9d8wWcJLnFI</td>
       	<td>string</td>
     </tr>
    <tr>
      	<td>mute</td>
	   	<td>Whether to play sound with video</td>
	   	<td>false</td>
       	<td>boolaen</td>
    </tr>
    <tr>
      	<td>width</td>
	   	<td>Width of the video background</td>
	   	<td>window width</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>mobileBackgrounType</td>
	   	<td>The type of background on mobile Image/Colour</td>
	   	<td>colour</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>backgroundValue</td>
	   	<td>The value of the mobileBackgroundType</td>
	   	<td>rgb(0,0,0)</td>
       	<td>string</td>
    </tr>  
    <tr>
      	<td>videoFilter</td>
	   	<td>Add a filter over the top of the video (false, lines, bricks, squares, waves, spots, dashes, crosses)</td>
	   	<td>false</td>
       	<td>string</td>
    </tr>  
    <tr>
      	<td>start</td>
	   	<td>The position to being the video at in seconds</td>
	   	<td>0</td>
       	<td>int</td>
    </tr>
    <tr>
      	<td>playButtonClass</td>
	   	<td>Specify the CSS class for a play button</td>
	   	<td>backVid-play</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>pauseButtonClass</td>
	   	<td>Specify the CSS class for a pause button</td>
	   	<td>backVid-pause</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>muteButtonClass</td>
	   	<td>Specify the CSS class for a mute button</td>
	   	<td>backVid-mute</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>unMuteButtonClass</td>
	   	<td>Specify the CSS class for an un-mute button</td>
	   	<td>backVid-unMute</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>volumeUpClass</td>
	   	<td>Specify the CSS class to increase the volume</td>
	   	<td>backVid-volume-up</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>volumeDownClass</td>
	   	<td>Specify the CSS class to decrease the volume</td>
	   	<td>backVid-volume-down</td>
       	<td>string</td>
    </tr>
    <tr>
      	<td>increaseVolumeBy</td>
	   	<td>The amount to increment/decrement the volume by</td>
	   	<td>10</td>
       	<td>int</td>
    </tr>
</tbody>
</table>

**Demo**
--
Click <a href="http://www.rstandley.co.uk/laboratory/video_background/" target="_blank">here</a> to view a demo